#!/bin/sh
# *******************************************************************************
#  Licenc hatálya alá eső anyagok - Az IBM tulajdona
#  (c) Copyright IBM Corporation 2006, 2012. Minden jog fenntartva.
#
#  Megjegyzés az Egyesült Államok kormányzati felhasználóinak korlátozott jogaira vonatkozóan:
#  A használatot, sokszorosítást vagy közzétételt az IBM vállalattal kötött GSA ADP Schedule
#  Contract szerződés szabályozza.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Adja meg a környezeti változókat, amelyek megfelelnek a
# # jts_upgrade.sh parancsfájl paramétereinek, és azok alapértelmezett értékeit
# #
# #===========================================================
# #
# # Ezt a fájlt a jts_upgrade.sh végrehajtásának kezdetekor
# # olvassa be a rendszer. Egy környezeti változót állít be
# # érvényes, előre meghatározott alapértelmezett értékkel rendelkező paraméterenként.
# #
# # A felhasználók módosíthatják az alapértelmezett értéket a
# # jts_upgrade.sh saját értékekkel való indításához,
# # anélkül, hogy meg kellene adniuk a paramétert és a
# # megfelelő értéküket a parancssorban.
# #
# # FIGYELMEZTETÉS:
# # Nem minden változót szükséges beállítani minden
# # alkalmazáshoz.  Olvasson el figyelmesen minden megjegyzést az
# # érték módosítása előtt.
# #
# #############################################################

# Paraméter: -oldJTSHome
# Használat: -oldJTSHome <könyvtár útvonala>
# Leírás:
# 	A JTS saját könyvtárának teljes elérési útvonala 3.0.x telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megjegyzés:
#     Ha meg van adva, az azt jelenti, hogy egy 3.0-ás változatról 3.0.1-es változatra történő frissítés fog történni
#     az RTC és a JTS alkalmazásokat illetően. Ellenkező esetben, a frissítés típusától
#     függetlenül kizárólag az RTC-re vonatkozik...
# Megszorítások:
#  - a <könyvtár útvonala> egy létező könyvtárnak kell lennie a következő végződéssel: 'server/conf'
#  - Csak az RM és JTS frissítések esetén érvényes
#
OLD_JTS_HOME=

# Paraméter: -jtsContextRoot
# Használat: -jtsContextRoot <gyökér>
# Leírás:
# 	A JTS kontextusgyökér
# Alapértelmezés:
# 	jts
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
 JTS_CONTEXT_ROOT=jts

# Paraméter: -lpaContextRoot
# Használat: -lpaContextRoot <gyökér>
# Leírás:
# 	Az LPA kontextusgyökér
# Alapértelmezés:
# 	admin
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
 LPA_CONTEXT_ROOT=admin

# Paraméter: -oldJTSVersion
# Használat: -oldJTSVersion <változat>
# Leírás:
#	A frissítendő 3.0.x változat.  Alapértelmezés szerint ez a régi JTS-en
#    a repotools -version parancs futtatásával határozható meg.
# Alapértelmezés:
#  <nincs>
# Megszorítások:
#  - egy teljes verzió karaktersorozat,
#    például 3.0.0 vagy 3.0.1
#
OLD_JTS_VERSION=

# Paraméter: -updateTomcatFiles
# Használat: -updateTomcatFiles <yes | no>
# Leírás:
# 	Frissítse-e a Tomcat konfigurációs fájlokat?
# Alapértelmezés:
# 	yes
# Megszorítások:
#  - Csak a 'yes' és a 'no' érvényes érték
#
UPDATE_TOMCAT_FILES=yes

# Paraméter: -oldTomcatHome
# Használat: -oldTomcatHome <könyvtár útvonala>
# Leírás:
# 	A Tomcat gyökérkönyvtárának teljes elérési útvonala a 3.0.x telepítés esetén.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Létező könyvtárnak kell lennie
#
OLD_TOMCAT_HOME=

# Paraméter: -newJTSHome
# Használat: -newJTSHome <könyvtár elérési útja>
# Leírás:
# 	a JTS kiszolgáló konfigurációs könyvtárának elérési útja a 4.0 telepítésben.
# Alapértelmezés:
# 	conf
# Megszorítások:
#  - a <könyvtár útvonala> egy létező könyvtárnak kell lennie a következő végződéssel: 'server/conf'
#
NEW_JTS_HOME="$START_DIR/conf"

# Paraméter: -newTomcatHome
# Használat: -newTomcatHome <könyvtár elérési útja>
# Leírás:
# 	a Tomcat saját könyvtárának elérési útja a 4.0 telepítésben.
# Alapértelmezés:
# 	<nincs>
#
NEW_TOMCAT_HOME=

# Paraméter: -noPrompt
# Használat: -noPrompt
# Leírás:
# 	Ne kérdezzen rá a táblák létrehozása vagy módosítása előtt
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Paraméter: -noVerify
# Használat: -noVerify
# Leírás:
# 	Ne hajtsa végre a teamserver.properties fájlok ellenőrzését.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Paraméter: -overwrite
# Használat: -overwrite
# Leírás:
# 	Felülírjon-e bármilyen létező fájlt?
# Alapértelmezés:
# 	no
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Paraméter: -noStepPrompt
# Használat: -noStepPrompt
# Leírás:
# 	Ne kérdezzen rá egy lépés végrehajtása előtt.
# Alapértelmezés:
# 	false
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: 'true' vagy 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
